# HydrogenLib

[![PyPI - Version](https://img.shields.io/pypi/v/hydrogenlib.svg)](https://pypi.org/project/hydrogenlib)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/hydrogenlib.svg)](https://pypi.org/project/hydrogenlib)

-----

## Table of Contents

- [Installation](#installation)
- [License](#license)
- [Matters need attention](#matters-need-attention)

## Why it called `HydrogenLib`?

The element "Hydrogen" is the element that can react the most with his elements, 
which is intended to simplify many practical but complex operations in python. 
There are nearly 40 modules in the project, from the basic file operations to the advanced socket, 
from the underlying data structure to the available database. 
This is `HydrogenLib`.

## Matters need attention

- `HydrogenLib.Database` is only a json database, which is not a relational database.
- `HydrogenLib.BoardcastRoom` is **not** finished.
- `HydrogenLib.TestManager` is **not** finished.
- `HydrogenLib.Namedpipe` for mac and linux is **not** finished.

- `HydrogenLib.Json` and `HydrogenLib.File.JsonFile*`
use `jsonpickle` to serialize and deserialize. 
- ### All modules have not been tested.
- ### This project has not been uploaded to Pypi.


## Installation

```console
pip install HydrogenLib
```

## License

`HydrogenLib` is distributed under the terms of the [GPL](https://spdx.org/licenses/GPL-3.0.html) license([LICENSE](LICENSE)).
